'use strict';

var browserify = require('browserify');
var buffer     = require('vinyl-buffer');
var gulp       = require('gulp');
var source     = require('vinyl-source-stream');

require('babelify');

gulp.task('build', function build() {
  var bundler = browserify({
    entries   : ['./src/miniprism.js'],
    standalone: 'miniprism',
    transform : ['babelify'],
  });

  var bundle = bundler.bundle();

  bundle
    .pipe(source('miniprism.js'))
    .pipe(buffer())
    .pipe(gulp.dest('dist'));
});
